\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
c &: m
\\
\frac{p}{2} \times (1 + n) + 1 &: 1 + n \qquad n \geq 1; \quad \text{for} \ p = 0, 2, 4, \hdots
\\
\\
\frac{p+1}{2} \times  (1 + n) - 1 &: 1 + n \qquad n \geq 1; \quad \text{for} \ p = 1, 3, 5, \hdots
\end{align*}



\end{document}